# $Revision: 1.7 $, $Date: 2010/06/07 21:03:14 $
#
%define		nameprog ql2300

Summary:	Firmware for the QLogic %{nameprog} HBA
Summary(pl.UTF-8):	Firmware dla HBA QLogic %{nameprog}
Name:		%{nameprog}-firmware
Version:	3.03.28
Release:	1
License:	distributable
Group:		Base/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/%{nameprog}_fw.bin
# Source0-md5:	cb897132f3d9d8342267aaf26dd186a0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the firmware for the QLogic %{nameprog} driver.

%description -l pl.UTF-8
Ten pakiet zawiera firmware dla sterownika QLogic %{nameprog}.

%prep
%setup -q -c -T

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware

install %{SOURCE0} $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
/lib/firmware/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ql2300-firmware.spec,v $
Revision 1.7  2010/06/07 21:03:14  arekm
- up to 2.03.28

Revision 1.6  2008/11/23 11:40:53  arekm
- up to 3.03.27

Revision 1.5  2008-04-24 06:58:07  arekm
- rel 1

Revision 1.4  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.2  2006/08/20 14:15:26  qboosh
- pl

Revision 1.1  2006/08/14 08:24:32  arekm
- QLogic firmwares; redistibutable
